/*!***********************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[2]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[4].oneOf[1].use[3]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[4]!./assets/styles/form.scss ***!
  \***********************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
@charset "UTF-8";
/* --------------------------------------------------------------- */
/*
/* <couleurs>
/*
/* --------------------------------------------------------------- */
:root {
  /* couleur des textes par default */
  --input-border-color: var(--color-blue);
  /* couleur des textes quand input valide */
  --checkbox-check-color: var(--color-white);
  /* couleur des textes quand input invalide */
  --checkbox-color: var(--color-blue);
  /* couleur des label par défaut */
  --input-color: var(--color-blue);
  /* couleur des label pendant édition */
  --label-color: var(--color-black);
  /* couleur des label quand input valide */
  --input-font-size: 15px;
  /* couleur des label quand input invalide */
  --input-invalid-border-color: var(--color-pink);
  /* taille du texte dans les inputs */
  --input-invalid-color: var(--color-pink);
  /* taille des labels pendant édition */
  --label-invalid-color: var(--color-pink);
  /* couleur des bordures par default */
  --label-up-color: var(--color-blue);
  /* couleur des bordures quand input valide */
  --label-up-font-size: 15px;
  /* couleur des bordures quand input invalide */
  --input-valid-border-color: var(--gradient-start-blue);
  /* couleur des checkbox */
  --input-valid-color: var(--color-blue);
  /* couleur des coches checkbox */
  --label-valid-color: var(--color-blue);
}

/* --------------------------------------------------------------- */
/*
/* </couleurs>
/*
/* --------------------------------------------------------------- */
/* --------------------------------------------------------------- */
/*
/* <general>
/*
/* --------------------------------------------------------------- */
#page form.form_material_dw {
  margin-top: 20px;
}
#page form.form_material_dw .text-center .obligatoire {
  float: none;
}
#page form.form_material_dw .group {
  letter-spacing: 1px;
  position: relative;
}
#page form.form_material_dw .group textarea {
  height: 70px;
  max-height: 250px;
  min-height: 70px;
}
#page form.form_material_dw .group .form-control {
  background: none !important;
  border: none;
  border-bottom: 1px solid var(--input-border-color);
  border-radius: 0;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: var(--input-color);
  display: block;
  font-size: var(--input-font-size);
  outline: none;
  padding: 5px 10px 2px 5px;
  width: 100%;
}
#page form.form_material_dw .group .form-control:not(.invalid):focus {
  border-color: var(--input-border-color);
}
#page form.form_material_dw .group .form-control.filled {
  border-color: var(--input-valid-border-color);
  color: var(--input-valid-color);
}
#page form.form_material_dw .group .form-control.invalid {
  border-bottom-color: var(--input-invalid-border-color);
  color: var(--input-invalid-color);
}
#page form.form_material_dw .group input.filled:not(.invalid):invalid {
  border-bottom-color: var(--input-invalid-border-color);
  color: var(--input-invalid-color);
}
#page form.form_material_dw .group .form-control.edit {
  color: var(--input-color) !important;
}
#page form.form_material_dw .group .bar {
  display: block;
  position: relative;
  top: -1px;
  width: 100%;
}
#page form.form_material_dw .group .bar:before, #page form.form_material_dw .group .bar:after {
  background: var(--input-border-color);
  content: "";
  height: 2px;
  position: absolute;
  transition: all 0.25s ease-in-out;
  width: 0;
}
#page form.form_material_dw .group .bar:before {
  left: 50%;
}
#page form.form_material_dw .group .bar:after {
  right: 50%;
}
#page form.form_material_dw .group .form-control:focus ~ .bar:before, #page form.form_material_dw .group .form-control:focus ~ .bar:after {
  width: 50%;
}
#page form.form_material_dw .group .form-control.filled ~ .bar:before, #page form.form_material_dw .group .form-control.filled ~ .bar:after {
  width: 50%;
}
#page form.form_material_dw .group .form-control:not(.invalid):focus ~ .bar:before, #page form.form_material_dw .group .form-control:not(.invalid):focus ~ .bar:after {
  background: var(--input-border-color);
}
#page form.form_material_dw .group .form-control.filled ~ .bar:before, #page form.form_material_dw .group .form-control.filled ~ .bar:after {
  background: var(--input-valid-border-color);
}
#page form.form_material_dw .group .form-control.invalid ~ .bar:before, #page form.form_material_dw .group .form-control.invalid ~ .bar:after {
  background: var(--input-invalid-border-color);
}
#page form.form_material_dw .group .form-control.filled:not(.invalid):invalid ~ .bar:before, #page form.form_material_dw .group .form-control.filled:not(.invalid):invalid ~ .bar:after {
  background: var(--input-invalid-border-color);
}
#page form.form_material_dw .group label {
  color: var(--label-color);
  font-size: var(--input-font-size);
  font-weight: normal;
  left: 15px;
  line-height: initial;
  max-width: calc(100% - 30px);
  padding: 0;
  pointer-events: none;
  position: absolute;
  top: 5px;
  -moz-transition: 0.2s ease all;
  -o-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
  transition: 0.2s ease all;
}
#page form.form_material_dw .group select ~ label {
  font-size: var(--label-up-font-size);
  top: -20px;
}
#page form.form_material_dw .group .form-control:focus ~ label {
  font-size: var(--label-up-font-size);
  top: -20px;
}
#page form.form_material_dw .group .form-control.filled ~ label, #page form.form_material_dw .group .form-control.filled.invalid ~ label {
  font-size: var(--label-up-font-size);
  top: -20px;
}
#page form.form_material_dw .group .form-control:not(.invalid):focus ~ label {
  color: var(--label-up-color);
}
#page form.form_material_dw .group .form-control.filled ~ label {
  color: var(--label-valid-color);
}
#page form.form_material_dw .group .form-control.invalid ~ label {
  color: var(--label-invalid-color);
}
#page form.form_material_dw .group input.filled:not(.invalid):invalid ~ label {
  color: var(--label-invalid-color);
}
#page form.form_material_dw .group .chkbx .form-check {
  align-items: center;
  -webkit-box-align: center;
  -webkit-box-pack: start;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
  -ms-flex-pack: start;
  justify-content: flex-start;
  padding-left: 0;
}
#page form.form_material_dw .group .chkbx .form-check .form-check-input {
  display: inline-block;
  left: 25px;
  opacity: 0;
  position: absolute;
  top: 8px;
  width: auto;
  z-index: 0;
}
#page form.form_material_dw .group .chkbx .form-check label {
  color: var(--input-color);
  cursor: pointer;
  left: 0;
  padding-left: 40px;
  pointer-events: all;
  position: relative;
  top: 0;
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
#page form.form_material_dw .group .chkbx .form-check label:before, #page form.form_material_dw .group .chkbx .form-check label:after {
  left: 0;
  position: absolute;
  top: 50%;
  -o-transition: 0.25s all ease;
  -webkit-transition: 0.25s all ease;
  transition: 0.25s all ease;
}
#page form.form_material_dw .group .chkbx .form-check label:before {
  border: 2px solid var(--checkbox-color);
  border-radius: 0;
  content: "";
  height: 26px;
  -ms-transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  width: 26px;
}
#page form.form_material_dw .group .chkbx .form-check label::after {
  align-items: center;
  color: var(--checkbox-check-color);
  content: "\f00c";
  display: flex;
  font-family: "Font Awesome 5 Free";
  font-size: 18px;
  font-weight: 900;
  height: 26px;
  justify-content: center;
  top: calc(50% - 13px);
  -ms-transform: scale(0);
  -webkit-transform: scale(0);
  transform: scale(0);
  transform-origin: center;
  width: 26px;
}
#page form.form_material_dw .group .chkbx .form-check .form-check-input:checked + label::before {
  background: var(--checkbox-color);
  border-color: var(--checkbox-color);
}
#page form.form_material_dw .group .chkbx .form-check .form-check-input:checked + label::after {
  -ms-transform: scale(1);
  -webkit-transform: scale(1);
  transform: scale(1);
}
#page form.form_material_dw .group b.required_indicator {
  color: var(--input-invalid-color);
  font-size: 18px;
  position: absolute;
  right: 0;
  top: 0;
}
#page form.form_material_dw .required_fields {
  color: var(--input-color);
  display: inline-block;
  font-size: var(--label-up-font-size);
}
#page form.form_material_dw .required_fields b.required_indicator {
  position: relative;
}
#page form.form_material_dw label a {
  color: #8D0000;
  font-weight: 600;
}
#page form.form_material_dw .form_submit_btn {
  background: var(--checkbox-color);
  border: none;
  color: var(--checkbox-check-color);
  cursor: pointer;
  display: inline-block;
  font-size: 18px;
  font-weight: normal;
  outline: none;
  padding: 12px 30px;
  transition: 0.25s;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  border-radius: 0;
}
#page form.form_material_dw .form_submit_btn:hover {
  box-shadow: 1px 2px 6px rgba(0, 0, 0, 0.3);
}
#page form.form_material_dw .form_submit_btn i {
  margin-right: 10px;
}
#page form.form_material_dw .group .erreurs .erreur {
  color: var(--input-invalid-color);
  font-size: var(--label-up-font-size);
  font-weight: bold;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/